Bug 173744 - n-u-t-t-c-p great successor to ttcp
Summary: n-u-t-t-c-p great successor to ttcp
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ttcp   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL: ftp://ftp.lcp.nrl.navy.mil/pub/nuttcp/
Whiteboard:
Keywords: FutureFeature
Depends On: 173823
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-20 14:31 UTC by acount closed by user
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-28 14:59:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description acount closed by user 2005-11-20 14:31:50 UTC
ttcp is unmaintained, and n-u-t-t-c-p has more features.


-thanks-

Comment 1 Radek Vokal 2005-11-21 09:30:39 UTC
It looks far too different from current ttcp. Would be nice to have it in extras
first. I will try to package it later this week. 

Comment 2 Radek Vokal 2005-11-21 17:37:25 UTC
Ok, here is my srpm

http://people.redhat.com/rvokal/nuttcp/nuttcp-5.1.11-1.src.rpm

I will propose it for extras tmrw.

Comment 3 acount closed by user 2005-11-21 18:01:48 UTC
bugs:

the nuttcp source is included twice into the src.rpm :
-rw-rw-r--  1 xose xose 109601 Jun 28  2004 nuttcp.c
-rw-rw-r--  1 xose xose 109601 Jun 28  2004 nuttcp-v5.1.11.c

nuttcp.cat is not necessary, delete it.

and put xinetd.d directoty into the %doc.


-thanks-

Comment 4 Radek Vokal 2005-11-21 18:34:56 UTC
New package is here

http://people.redhat.com/rvokal/nuttcp/nuttcp-5.1.11-2.src.rpm

I've put nuttcp xinetd.d file into config section and installed it and others,
nuttcp4 and nuttcp6 into docs. Do you think it's fine? 

Comment 5 acount closed by user 2005-11-22 21:41:43 UTC
Makefile and the "missing" directory(include files) are not necessary. It
compiles clearly with: gcc -W -O2 -Wall nuttcp-v5.1.11.c -o nuttp

debugfiles.list and debugsources.list should be deleted from source.

Comment 6 Radek Vokal 2005-11-28 14:59:17 UTC
The package is already submitted into Extras. I've removed the .list files but
kept "missing" directory and makefile just to folow upstream for compatibility
(if they want to add stm which will be missing in fedora it will be grabbed from
this directory). Also I did fast clean-up of some warnings to make gcc more happy. 


Note You need to log in before you can comment on or make changes to this bug.